Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cksfv
Version:        1.3.15
Release:        alt2_10
Summary:        Utility to manipulate SFV files

License:        GPLv2+
URL:            https://gitlab.com/heikkiorsila/cksfv/
Source0:        https://zakalwe.fi/~shd/foss/%{name}/files/%{name}-%{version}.tar.bz2
Source1:        https://zakalwe.fi/~shd/foss/%{name}/files/%{name}-%{version}.tar.bz2.asc
Source2:        https://zakalwe.fi/~shd/keys/heikki-orsila-2017.pub
BuildRequires:  gcc
BuildRequires:  gnupg2
Source44: import.info

%description
cksfv is a utility that can create and use SFV files. SFV (Simple File
Verification) files are used to verify file integrity using CRC32
checksums.


%prep
%setup -q

# fix rpmlint warnings
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv &&\
touch -r ChangeLog ChangeLog.conv &&\
mv -f ChangeLog.conv ChangeLog


%build

# custom configure does not take --libdir spec
./configure \
    --bindir=%{_bindir} \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --package-prefix=%{buildroot}
%make_build


%install
%makeinstall_std


%check
%make_build check


%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README.md TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_10
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_7
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_6
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_5
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_3
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.3.15-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.3.15-alt2_1
- update to new release by fcimport

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.15-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_21
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_20
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_18
- update to new release by fcimport

* Thu Jan 31 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_15
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_9
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_8
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_4
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_3
- fc import

